# Connecting to Academedia wifi on a linux system

In order to be able to use your linux system in your academedia school environment, you need to connect to a wifi network.

There are two primary networks available: ACAGuest, and ACANet1x. However, you probably know ACANet1x as Academedia X Profiles.

## Connecting to guest

The guest wifi network is just a simple wpa2 network with a password. The password is as follows:

`FramtidNu`

(as of 2024)

Please note that the guest network and the internal network (ACANet1x) are the same network. You just connect from two different *wifi* networks.

The only difference is that ACAGuest has limited bandwidth. But other than that you have access to everything.

## Connecting to the internal network (ACANet1x)

Connecting to the internal network is slightly more complicated since it is a WPA enterprise network designed for windows environments.

However, setting up a profile with network manager is still quite simple. The following examples use nmtui.

1. Add a new wifi network.

2. Enter your desired name (recommended to be set as ACANet1x) and the name of the wireless network card you want to use.

![entering name and wifi card](image1.png)

3. Set SSID to `ACANet1x` and mode to `Client`.

![setting ssid](image2.png)

4. Set security to `WPA & WPA2 Enterprise`, and set authentication method to `PEAP`.

![set security and auth methods](image3.png)

5. Fill in your "anonymous" identity as well as domain. (the email is the same one you use to connect to the network on windows).

![enter identity and domain](image4.png)

6. Set PEAP version to `Automatic` and the inner authentication method to `MSCHAPv2`.

![set peap version and inner auth](image5.png)

7. Enter the username (email) and password for your learnet account. These are the credentials you use to log into the network on windows.

![enter username and password](image6.png)

8. For security reasons, you should choose only to store the password for this user. 

![only save password for own user](image7.png)

9. You should also choose to only store the profile for this user.

![only store profile for own user](image8.png)

And that's it! You should now be able to connect to this network. Note that you might get prompted to enter the password again.
If this happens every time you connect, you might have to modify the profile to store itself and the password for all users.